> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carbn.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Audit

> Get audit information for onramp transactions for a specific wallet



## OpenAPI

````yaml /api-reference/openapi.json get /payment/api/v1/onramp-audit/{wallet_id}
openapi: 3.0.0
info:
  title: Carbn Connect API
  version: 1.0.0
  description: >-
    API documentation for Carbn Connect services including user onboarding, KYC,
    wallet management, and transfers.
servers:
  - url: https://api.carbnconnect.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /payment/api/v1/onramp-audit/{wallet_id}:
    get:
      tags:
        - Audit & Reporting
      summary: Get Onramp Audit
      description: Get audit information for onramp transactions for a specific wallet
      operationId: getOnrampAudit
      parameters:
        - name: wallet_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: The unique identifier of the wallet
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 0
          example: 0
          description: Page number for pagination
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 5
          example: 5
          description: Number of items per page
      responses:
        '200':
          description: Onramp audit information retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnrampAuditResponse'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized - API key is missing or invalid
        '404':
          description: Wallet not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OnrampAuditResponse:
      type: object
      properties:
        wallet_id:
          type: string
          format: uuid
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: The unique identifier of the wallet
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/OnrampTransaction'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    OnrampTransaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Transaction ID
        amount:
          type: number
          description: Transaction amount
        currency:
          type: string
          description: Transaction currency
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
          description: Transaction status
        created_at:
          type: string
          format: date-time
          description: Transaction creation timestamp
    PaginationInfo:
      type: object
      properties:
        page:
          type: integer
          example: 0
          description: Current page number
        size:
          type: integer
          example: 5
          description: Number of items per page
        total_pages:
          type: integer
          description: Total number of pages
        total_elements:
          type: integer
          description: Total number of elements
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must be included in the x-api-key header.

````